Skip to content

backup_journal.php

Backup journal management module for retrieving backup statistics and lists.

API Methods

Method Action Description
stats get stats Returns statistical data regarding the backup journal entries.

backup_journal/stats

Returns statistical data regarding the backup journal entries.

HTTP method: POST

Parameters:

Parameter Required Type Description
action ✅ string Method identifier: stats
token ✅ string Authorization token for API access.

Request example

curl -s "https://invapi.hostkey.com/backup_journal.php" -X POST \
--data "action=stats" \
--data "token=HOSTKEY_TOKEN"
Success response example
{
"result": "OK",
"action": "stats",
"stats": {
"total_count": 150,
"successful_backups": 145,
"failed_backups": 5,
"last_backup_at": "2024-05-20T14:30:00Z",
"storage_used_gb": 45.5
}
}
Error examples
{
"code": -2,
"message": "Invalid hash"
}
question_mark
Is there anything I can help you with?
question_mark
AI Assistant ×